# TdApi.InternalLinkTypeProxy (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: InternalLinkTypeProxy

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InternalLinkTypeProxy

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InternalLinkType
it.tdlight.jni.TdApi.InternalLinkTypeProxy

Enclosing class:
  TdApi

public static final class TdApi.InternalLinkTypeProxy extends TdApi.InternalLinkType
The link is a link to a proxy. Call addProxy with the given parameters to process the link and add the proxy.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`int`
`port`
Proxy server port.
`String`
`server`
Proxy server IP address.
`TdApi.ProxyType`
`type`
Type of the proxy.

## Constructor Summary

Constructors
Constructor
Description
`InternalLinkTypeProxy()`
The link is a link to a proxy.
`InternalLinkTypeProxy(DataInput input)`
The link is a link to a proxy.
`InternalLinkTypeProxy(String server, int port, TdApi.ProxyType type)`
The link is a link to a proxy.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### server

public String server
Proxy server IP address.

### port

public int port
Proxy server port.

### type

public TdApi.ProxyType type
Type of the proxy.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### InternalLinkTypeProxy

public InternalLinkTypeProxy()
The link is a link to a proxy. Call addProxy with the given parameters to process the link and add the proxy.

### InternalLinkTypeProxy

public InternalLinkTypeProxy(String server, int port, TdApi.ProxyType type)
The link is a link to a proxy. Call addProxy with the given parameters to process the link and add the proxy.

Parameters:
  `server` - String Proxy server IP address.
  `port` - int Proxy server port.
  `type` - ProxyType Type of the proxy.

### InternalLinkTypeProxy

public InternalLinkTypeProxy(DataInput input) throws IOException
The link is a link to a proxy. Call addProxy with the given parameters to process the link and add the proxy.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`